@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Satisfy&display=swap");

/* @font-face {
    font-family: 'Magic';
    src: url('../fonts/magic-love.ttf') format('truetype');
} */

@font-face {
    font-family: "calibri";
    src: url("../fonts/calibri-bold.ttf") format("truetype");
}

* {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    --primary: #b98645;
    --secondary: #c38f53;
    --white: #fff;
    --montserrat: "Montserrat", sans-serif;
    --satisfy: "Satisfy", cursive;
    --playfair: "Playfair Display", serif;
    --calibri: "calibri";
    --rouge: "Rouge Script", serif;
    --meow: "Meow Script", serif;
    --libre: "Libre Baskerville", serif;
}

body {
    background-color: #686868;
    overflow: hidden;
    margin: auto;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
    font-family: var(--montserrat);
    color: var(--primary);
}

body main {
    max-width: 526px;
    width: 100%;
    min-height: 100%;
    margin: auto;
    overflow: hidden;
}

.wrapped {
    position: relative;
    max-width: 526px;
    width: 100%;
    height: auto;
    overflow: hidden;
}

.title {
    font-size: 2rem;
    text-align: center;
    text-transform: uppercase;
    font-weight: 900;
    font-family: var(--playfair);
}

.line {
    width: 80%;
    margin: auto;
    margin-top: 0.5rem;
    height: 2px;
    background-color: var(--primary);
}

.ornaments {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    pointer-events: none;
}

/* BUTTON */
.my-btn {
    cursor: pointer;
    font-family: var(--jakarta);
    font-size: 14px;
    color: var(--white);
    border: 0px solid rgb(187, 204, 0);
    padding: 0.5rem 1rem;
    transition: 570ms;
    background-color: var(--primary);
    text-decoration: none;
}

.my-btn:hover {
    background: var(--primary);
}

/* CUSTOM INPUT */
.custom-input {
    display: flex;
    align-items: center;
    position: relative;
    max-width: 100%;
    width: 100%;
}

.input {
    font-size: 20px;
    padding: 1rem 1.5rem;
    font-family: var(--jakarta);
    font-weight: 100;
    width: 100%;
    outline: none;
    background: transparent;
    color: #fff;
    border: 1.5px solid #ffffff;
    border-radius: 0px;
    transition: 0.8s ease;
    border-radius: 0.5rem;
}

.input:focus {
    border: 1.5px solid #fff;
}

.input::placeholder {
    color: #ffffff;
    font-family: var(--jakarta);
    font-weight: 100;
    font-size: 20px;
}

textarea {
    flex: 1 1 auto;
}

/* ORNAMENTS WRAPPED */
.ornaments-wrapped {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    pointer-events: none;
}

.ornaments-wrapped img:nth-child(1) {
    width: 100%;
    height: auto;
    object-fit: cover;
    transform: translate(0, -87%);
}

.ornaments-wrapped img:nth-child(2) {
    width: 100%;
    height: auto;
    object-fit: cover;
    transform: scaleY(-1) translate(0, -87%);
    position: absolute;
    bottom: 0;
    left: 0;
}

/* Animation */

@keyframes rotateLeft {
    0% {
        transform: rotate(3deg);
    }

    100% {
        transform: rotate(-3deg);
    }
}

@keyframes rotateRight {
    0% {
        transform: rotate(-3deg);
    }

    100% {
        transform: rotate(3deg);
    }
}

/* Animation */

@keyframes rotateLeft {
    0% {
        transform: rotate(3deg);
    }

    100% {
        transform: rotate(-3deg);
    }
}

@keyframes rotateRight {
    0% {
        transform: rotate(-3deg);
    }

    100% {
        transform: rotate(3deg);
    }
}

/* MUSIC OUTER */
.music-outer {
    position: fixed;
    z-index: 999;
    bottom: 15px;
    left: 15px;
    display: inline-block;
    vertical-align: top;
}

.music-outer .music-box {
    width: 60px;
    height: 60px;
    cursor: pointer;

    background-image: url("../../media/template/details/music.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;

    position: relative;
    top: 0;
    left: 0;
    transform: rotate(0deg);

    /* transition: all 0.8s ease-out; */
    -webkit-transition: all 0.8s cubic-bezier(0.23, 0.56, 0.38, 0.78);
    -moz-transition: all 0.8s cubic-bezier(0.23, 0.56, 0.38, 0.78);
    -o-transition: all 0.8s cubic-bezier(0.23, 0.56, 0.38, 0.78);
    transition: all 0.8s cubic-bezier(0.23, 0.56, 0.38, 0.78);
}

.music-outer .music-box.hide {
    left: -100px;
}

.music-outer .music-box:focus,
.music-outer .music-box:active {
    background-color: transparent;
    outline: none;
    box-shadow: none;
}

.music-outer .music-box.playing {
    animation-name: play-music;
    animation-iteration-count: infinite;
    animation-duration: 20s;
    animation-timing-function: linear;
}

@media only screen and (min-width: 600px) {
    .music-outer .music-box {
        width: 45px;
        height: 45px;
    }
}

@media only screen and (max-width: 600px) {
    .music-outer .music-box {
        width: 45px;
        height: 45px;
    }
}

@media only screen and (max-width: 425px) {
    .music-outer {
        bottom: 12px;
        left: 12px;
    }
}

@keyframes play-music {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(359deg);
    }
}
